Page 1 of 1

[SOLVED] -The Party's over... no libhid, libhid-dev, no go.

Posted: Wed Feb 23, 2011 10:15 pm
by rec9140
Any one know whats the deal with the libhid, libhid-dev, and python-hid packages? ?

They are not released for maverick, thus not available for KMint 10. :twisted:

Thus software for my wx station receiver will not compile or run with out this..... :evil:

So the partys over.... can't upgrade my main desktop with out this running, and KDE 4.6.0 is the first thats usable...

Can test on my laptop... but thats it for the desktops can't upgrade home, or work.. and this interferes with other projects.... URRRGH! This is a big problem.... :twisted:

Re: The Party's over... no libhid, libhid-dev, no go.

Posted: Wed Feb 23, 2011 11:18 pm
by rec9140
OK.. I've tracked down the debs from the last release and they will install and I can get the software to compile and appears to run... I am not where the wx devices are...right now to connect to see if they run correctly.

Its hard enough getting this stuff to work under Linux as it is... but.....

Really people DON'T DELETE PACKAGES, YES I AM POINTING AND LEARING AT YOU CANONICAL! NEED FROM THE REPOS! :evil: :twisted:


URRRRGGGGGGGGGGGGGGHHHHHHHHHHHHHHH! :evil:

We will see as I go to each site with this software and try it.....

Note: To KMint, you really should put these in your own repos to replace the missing ones from upstream...

Re: The Party's over... no libhid, libhid-dev, no go.

Posted: Thu Feb 24, 2011 12:15 am
by richyrich
Question . . can you tell me what percentage of Mint users run weather receiver stations ?
Why don't you become a package maintainer yourself ? . . . I've got some cool tutorial links & stuff if you are interested.
We're all volunteers, and we contribute where and when we can. :)

good luck, and regards, richy

Re: [SOLVED] -The Party's over... no libhid, libhid-dev, no

Posted: Sat Feb 26, 2011 1:45 pm
by rec9140
OK... for any one who needs to use USB HID devices here's the requisite missing DEBs for libhid0 and the dev headers you will need, along with the python interface if your using it.

You probably also will need pkg-config, so

Code: Select all

sudo apt-get install pkg-config
Extract and then install the 3 DEB's using the GDebi installer

Install in this order
libhid0
libhid0-dev
libhid-python

I've been to several of the tower sites with these wx stations and can plug my test system in and pull data from them just like the current release.

Problem solved.

These really should be in the repos, it makes no sense as to why they are not there, and I am pretty sure they were available until KMint9/Lucid, as I've had this run on a live DVD test setup to make. This happened upstream for some reason... :evil:

Re: [SOLVED] -The Party's over... no libhid, libhid-dev, no

Posted: Sat Feb 26, 2011 10:27 pm
by Boo
Built mint versions for amd64 and uploaded to julia-kde repo.
i386 next.
Both versions done and in julia-kde repo.

Cheers
Jamie

Re: [SOLVED] -The Party's over... no libhid, libhid-dev, no

Posted: Sun Feb 27, 2011 8:47 am
by rec9140
Boo wrote:Built mint versions for amd64 and uploaded to julia-kde repo.
i386 next.
Both versions done and in julia-kde repo.
Jamie
THANK YOU ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! :D :mrgreen: